Update
Updates the action with the new supplied state
ID of the action
Show optional properties
{
"name": "string",
"runtime": "string",
"entrypoint": "string",
"actionType": "string",
"orgId": "string"
}
{
"name": "string",
"metadata": {},
"runtime": "string",
"source": "string",
"entrypoint": "string",
"description": "string",
"inputs": {},
"memoryInMB": 0,
"prePolyglotMemoryLimitInMB": 0,
"showMemoryAlert": false,
"timeoutSeconds": 0,
"dependencies": "string",
"compressedContent": "string",
"actionType": "string",
"provider": "string",
"contentId": "string",
"configuration": {},
"system": false,
"shared": false,
"scalable": false,
"asyncDeployed": false,
"runtimeVersion": "string",
"id": "string",
"projectId": "string",
"orgId": "string",
"selfLink": "string"
}
name
metadata
runtime
source
entrypoint
description
inputs
memoryInMB
prePolyglotMemoryLimitInMB
showMemoryAlert
timeoutSeconds
dependencies
compressedContent
actionType
provider
contentId
configuration
system
shared
scalable
asyncDeployed
runtimeVersion
id
projectId
orgId
selfLink
Action updated
{
"name": "string",
"metadata": {},
"runtime": "string",
"source": "string",
"entrypoint": "string",
"description": "string",
"inputs": {},
"memoryInMB": 0,
"prePolyglotMemoryLimitInMB": 0,
"showMemoryAlert": false,
"timeoutSeconds": 0,
"dependencies": "string",
"compressedContent": "string",
"actionType": "string",
"provider": "string",
"contentId": "string",
"configuration": {},
"system": false,
"shared": false,
"scalable": false,
"asyncDeployed": false,
"runtimeVersion": "string",
"id": "string",
"projectId": "string",
"orgId": "string",
"selfLink": "string"
}
Action to update not found
"Action Object"
name
metadata
runtime
source
entrypoint
description
inputs
memoryInMB
prePolyglotMemoryLimitInMB
showMemoryAlert
timeoutSeconds
dependencies
compressedContent
actionType
provider
contentId
configuration
system
shared
scalable
asyncDeployed
runtimeVersion
id
projectId
orgId
selfLink
curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"actionType":"string","entrypoint":"string","name":"string","orgId":"string","runtime":"string"}' https://{api_host}/abx/api/resources/actions/{id}